GET Attachments/ByUploadDate?assetId={assetId}&beginDate={beginDate}&endDate={endDate}&includeContent={includeContent}
Retrieves attachments for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetId |
Id of the asset |
globally unique identifier |
None. |
| beginDate |
Beginning upload date of the attachments to retrieve |
date |
None. |
| endDate |
Ending upload date of the attachments to retrieve |
date |
None. |
| includeContent |
Include the file contents of the attachments |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
On success, a list of attachments.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Attachment |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"AttachmentId": "f142e68a-ef73-41e4-9e05-55add40363b7",
"Name": "sample string 1",
"Description": "sample string 2",
"AttachmentCategory": {
"AttachmentCategoryId": "c5039f6d-dc76-446f-a02e-385bb609e3a3",
"Name": "sample string 1",
"SourceSystemId": "sample string 2",
"CompanyId": "7d578b8f-28de-4b59-950b-33e07f6a8345",
"CreateDate": "2026-10-24T13:14:31.6958597-07:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-10-24T13:14:31.6958597-07:00",
"LastModifiedUser": "sample string 5"
},
"Asset": {
"AssetId": "6b82fe19-e6ed-4bc9-baa5-1c0237645d4d",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "a6f7a9bf-910c-4634-b571-4fb68281f7c7",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "20a41541-ee57-4068-b331-3087a007f3c8",
"CreateDate": "2026-10-24T13:14:31.6958597-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-24T13:14:31.6958597-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "026e3b65-87f1-473b-b7c9-f8208b15631f",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-10-24T13:14:31.6958597-07:00",
"MeasurementValueNeededDate": "2026-10-24T13:14:31.6958597-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "5232e8d3-6a2a-4d2b-b8a2-2079754ed069",
"CreateDate": "2026-10-24T13:14:31.6958597-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-24T13:14:31.6958597-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-10-24T13:14:31.6958597-07:00",
"MeasurementValueNeededDate": "2026-10-24T13:14:31.6958597-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "56ede3a7-0456-4a54-9fa1-604fa61e979e",
"CreateDate": "2026-10-24T13:14:31.6958597-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-10-24T13:14:31.6958597-07:00",
"LastModifiedUser": "sample string 8"
},
"FileType": "sample string 3",
"FileSize": 1,
"UploadDate": "2026-10-24T13:14:31.6958597-07:00",
"Content": "QEA=",
"SourceSystemId": "sample string 4",
"CompanyId": "55491711-beb4-4886-b90d-342df39da5e0",
"CreateDate": "2026-10-24T13:14:31.6958597-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-24T13:14:31.6958597-07:00",
"LastModifiedUser": "sample string 7"
},
{
"AttachmentId": "f142e68a-ef73-41e4-9e05-55add40363b7",
"Name": "sample string 1",
"Description": "sample string 2",
"AttachmentCategory": {
"AttachmentCategoryId": "c5039f6d-dc76-446f-a02e-385bb609e3a3",
"Name": "sample string 1",
"SourceSystemId": "sample string 2",
"CompanyId": "7d578b8f-28de-4b59-950b-33e07f6a8345",
"CreateDate": "2026-10-24T13:14:31.6958597-07:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-10-24T13:14:31.6958597-07:00",
"LastModifiedUser": "sample string 5"
},
"Asset": {
"AssetId": "6b82fe19-e6ed-4bc9-baa5-1c0237645d4d",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "a6f7a9bf-910c-4634-b571-4fb68281f7c7",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "20a41541-ee57-4068-b331-3087a007f3c8",
"CreateDate": "2026-10-24T13:14:31.6958597-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-24T13:14:31.6958597-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "026e3b65-87f1-473b-b7c9-f8208b15631f",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-10-24T13:14:31.6958597-07:00",
"MeasurementValueNeededDate": "2026-10-24T13:14:31.6958597-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "5232e8d3-6a2a-4d2b-b8a2-2079754ed069",
"CreateDate": "2026-10-24T13:14:31.6958597-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-24T13:14:31.6958597-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-10-24T13:14:31.6958597-07:00",
"MeasurementValueNeededDate": "2026-10-24T13:14:31.6958597-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "56ede3a7-0456-4a54-9fa1-604fa61e979e",
"CreateDate": "2026-10-24T13:14:31.6958597-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-10-24T13:14:31.6958597-07:00",
"LastModifiedUser": "sample string 8"
},
"FileType": "sample string 3",
"FileSize": 1,
"UploadDate": "2026-10-24T13:14:31.6958597-07:00",
"Content": "QEA=",
"SourceSystemId": "sample string 4",
"CompanyId": "55491711-beb4-4886-b90d-342df39da5e0",
"CreateDate": "2026-10-24T13:14:31.6958597-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-24T13:14:31.6958597-07:00",
"LastModifiedUser": "sample string 7"
}
],
"Total": 1,
"Message": "sample string 1"
}